Last Comment Bug 743076 - Suppress warning warning C4355: 'this' : used in base member initializer list in HttpChannelChild and FTPChannelChild
: Suppress warning warning C4355: 'this' : used in base member initializer list...
Status: RESOLVED FIXED
[build_warning]
:
Product: Core
Classification: Components
Component: Networking (show other bugs)
: Trunk
: x86 Windows 7
: -- trivial (vote)
: mozilla14
Assigned To: Brian Smith (:briansmith, :bsmith, use NEEDINFO?)
:
Mentors:
Depends on:
Blocks: buildwarning
  Show dependency treegraph
 
Reported: 2012-04-05 16:49 PDT by Brian Smith (:briansmith, :bsmith, use NEEDINFO?)
Modified: 2012-04-09 10:08 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Suppress warning warning C4355: 'this' : used in base member initializer list in HttpChannelChild and FTPChannelChild (2.46 KB, patch)
2012-04-05 16:49 PDT, Brian Smith (:briansmith, :bsmith, use NEEDINFO?)
cbiesinger: review+
Details | Diff | Review

Description Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2012-04-05 16:49:20 PDT
Created attachment 612742 [details] [diff] [review]
Suppress warning warning C4355: 'this' : used in base member initializer list in HttpChannelChild and FTPChannelChild

Same as bug 736895. I verified that these are also safe.
Comment 1 Brian Smith (:briansmith, :bsmith, use NEEDINFO?) 2012-04-06 07:31:39 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/7d9b76ac122d
Comment 2 Matt Brubeck (:mbrubeck) 2012-04-09 10:08:21 PDT
https://hg.mozilla.org/mozilla-central/rev/7d9b76ac122d

Note You need to log in before you can comment on or make changes to this bug.